Package org.bukkit.entity

# Interface Vex

All Superinterfaces:
  `Attributable`, `Audience`, `CommandSender`, `Creature`, `Damageable`, `Entity`, `Frictional`, `HoverEventSource<HoverEvent.ShowEntity>`, `LivingEntity`, `Lootable`, `Metadatable`, `Mob`, `Monster`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ProjectileSource`, `ServerOperator`, `Sound.Emitter`

public interface Vex extends Monster
Represents a Vex.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Location`
`getBound()`
Gets the bound of this entity.
`int`
`getLifeTicks()`
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
`int`
`getLimitedLifetimeTicks()`
Gets the number of ticks remaining until the vex will start to take damage.
`@Nullable Mob`
`getSummoner()`
Get the Mob that summoned this vex
`boolean`
`hasLimitedLife()`
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
`boolean`
`hasLimitedLifetime()`
Gets if this vex should start to take damage once `getLimitedLifetimeTicks()` is less than or equal to 0.
`boolean`
`isCharging()`
Gets the charging state of this entity.
`void`
`setBound(@Nullable Location location)`
Sets the bound of this entity.
`void`
`setCharging(boolean charging)`
Sets the charging state of this entity.
`void`
`setLifeTicks(int lifeTicks)`
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
`void`
`setLimitedLifetime(boolean hasLimitedLifetime)`
Sets if this vex should start to take damage once `getLimitedLifetimeTicks()` is less than or equal to 0.
`void`
`setLimitedLifetimeTicks(int ticks)`
Sets the number of ticks remaining until the vex takes damage.
`void`
`setSummoner(@Nullable Mob summoner)`
Set the summoner of this vex

### Methods inherited from interface org.bukkit.attribute.Attributable

`getAttribute, registerAttribute`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, deleteMessage, deleteMessage, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlainMessage, sendRichMessage`

### Methods inherited from interface org.bukkit.entity.Damageable

`damage, damage, getAbsorptionAmount, getHealth, getMaxHealth, resetMaxHealth, setAbsorptionAmount, setHealth, setMaxHealth`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, collidesAt, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getSwimHighSpeedSplashSound, getSwimSound, getSwimSplashSound, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isUnderWater, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync, wouldCollideUsing`

### Methods inherited from interface io.papermc.paper.entity.Frictional

`getFrictionState, setFrictionState`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.entity.LivingEntity

`addPotionEffect, addPotionEffect, addPotionEffects, attack, broadcastSlotBreak, broadcastSlotBreak, canBreatheUnderwater, clearActiveItem, damageItemStack, damageItemStack, getActiveItem, getActivePotionEffects, getArrowCooldown, getArrowsInBody, getArrowsStuck, getBeeStingerCooldown, getBeeStingersInBody, getCanPickupItems, getCategory, getCollidableExemptions, getDeathSound, getDrinkingSound, getEatingSound, getEyeHeight, getEyeHeight, getEyeLocation, getFallDamageSound, getFallDamageSoundBig, getFallDamageSoundSmall, getHandRaised, getHandRaisedTime, getHurtDirection, getHurtSound, getItemUseRemainingTime, getKiller, getLastDamage, getLastTwoTargetBlocks, getLeashHolder, getLineOfSight, getMaximumAir, getMaximumNoDamageTicks, getMemory, getNoDamageTicks, getPotionEffect, getRemainingAir, getRemoveWhenFarAway, getShieldBlockingDelay, getTargetBlock, getTargetBlock, getTargetBlock, getTargetBlockExact, getTargetBlockExact, getTargetBlockFace, getTargetBlockFace, getTargetBlockInfo, getTargetBlockInfo, getTargetEntity, getTargetEntity, getTargetEntityInfo, getTargetEntityInfo, hasAI, hasLineOfSight, hasLineOfSight, hasPotionEffect, isClimbing, isCollidable, isGliding, isHandRaised, isInvisible, isJumping, isLeashed, isRiptiding, isSleeping, isSwimming, knockback, playPickupItemAnimation, playPickupItemAnimation, rayTraceBlocks, rayTraceBlocks, removePotionEffect, setAI, setArrowCooldown, setArrowsInBody, setArrowsStuck, setBeeStingerCooldown, setBeeStingersInBody, setCanPickupItems, setCollidable, setGliding, setHurtDirection, setInvisible, setJumping, setKiller, setLastDamage, setLeashHolder, setMaximumAir, setMaximumNoDamageTicks, setMemory, setNoDamageTicks, setRemainingAir, setRemoveWhenFarAway, setShieldBlockingDelay, setSwimming, swingHand, swingMainHand, swingOffHand`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.entity.Mob

`getAmbientSound, getEquipment, getHeadRotationSpeed, getMaxHeadPitch, getPathfinder, getTarget, isAware, isInDaylight, isLeftHanded, lookAt, lookAt, lookAt, lookAt, lookAt, lookAt, setAware, setLeftHanded, setTarget`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile, launchProjectile`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### isCharging

boolean isCharging()
Gets the charging state of this entity. When this entity is charging it will having a glowing red texture.

Returns:
  charging state

### setCharging

void setCharging(boolean charging)
Sets the charging state of this entity. When this entity is charging it will having a glowing red texture.

Parameters:
  `charging` - new state

### getBound

@Nullable @Nullable Location getBound()
Gets the bound of this entity. An idle vex will navigate a 15x11x15 area centered around its bound location. When summoned by an Evoker, this location will be set to that of the summoner.

Returns:
  `Location` of the bound or null if not set

### setBound

void setBound(@Nullable @Nullable Location location)
Sets the bound of this entity. An idle vex will navigate a 15x11x15 area centered around its bound location. When summoned by an Evoker, this location will be set to that of the summoner.

Parameters:
  `location` - `Location` of the bound or null to clear

### getLifeTicks

@Deprecated int getLifeTicks()
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
Gets the remaining lifespan of this entity.

Returns:
  life in ticks

### setLifeTicks

@Deprecated void setLifeTicks(int lifeTicks)
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
Sets the remaining lifespan of this entity.

Parameters:
  `lifeTicks` - life in ticks, or negative for unlimited lifepan

### hasLimitedLife

@Deprecated boolean hasLimitedLife()
Deprecated.
This API duplicates existing API which uses the more preferable name due to mirroring internals better
Gets if the entity has a limited life.

Returns:
  true if the entity has limited life

### getSummoner

@Nullable @Nullable Mob getSummoner()
Get the Mob that summoned this vex

Returns:
  Mob that summoned this vex

### setSummoner

void setSummoner(@Nullable @Nullable Mob summoner)
Set the summoner of this vex

Parameters:
  `summoner` - New summoner

### hasLimitedLifetime

boolean hasLimitedLifetime()
Gets if this vex should start to take damage once `getLimitedLifetimeTicks()` is less than or equal to 0.

Returns:
  will take damage

### setLimitedLifetime

void setLimitedLifetime(boolean hasLimitedLifetime)
Sets if this vex should start to take damage once `getLimitedLifetimeTicks()` is less than or equal to 0.

Parameters:
  `hasLimitedLifetime` - should take damage

### getLimitedLifetimeTicks

int getLimitedLifetimeTicks()
Gets the number of ticks remaining until the vex will start to take damage.

Returns:
  ticks until the vex will start to take damage

### setLimitedLifetimeTicks

void setLimitedLifetimeTicks(int ticks)
Sets the number of ticks remaining until the vex takes damage. This number is ticked down only if `hasLimitedLifetime()` is true.

Parameters:
  `ticks` - ticks remaining